Open TX 2.2 or 2.1.7

2.43K viewsAdvanced topics
0

Hi,Its been a long time that I asked a Question to you? I have Open TX 2.0.17 on my Taranis and I wanting to flash to a newer version is 2.2 o.k. or should I go with the 2.1.7 ? Thanks Don Fowler.

0
Anonymous 0 Comments

2.2 is fine, they have made some minor changes, but for the most part it’s the same.  Make sure that you flash for a Taranis X9D PLUS–  if you are updating your Taranis.

 

You can always get our latest QQ models and settings here if you haven’t already:

Taranis X9D Plus Model & Settings Files, Voice pack, and Support

Question stats

  • Active
  • Views2427 times
  • Answers1 answer